Page MenuHomeFreeBSD

Handle the vm* instructions from a guest
ClosedPublic

Authored by andrew on Sep 17 2018, 1:04 PM.

Details

Summary

Handle a guest executing a vm instruction by trapping and raising an
undefined instruction exception. Previously we would exit the guest,
however an unprivileged user could execute these.

Found with: syzkaller

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

andrew created this revision.Sep 17 2018, 1:04 PM
tychon accepted this revision.Sep 17 2018, 1:35 PM
This revision is now accepted and ready to land.Sep 17 2018, 1:35 PM
araujo accepted this revision.Sep 17 2018, 4:00 PM
araujo added a subscriber: araujo.

Lgtm!

emaste added a subscriber: emaste.Sep 17 2018, 4:38 PM
andrew updated this revision to Diff 48396.Sep 24 2018, 1:38 PM

Add the missing SDT_PROBE_DEFINE3

This revision now requires review to proceed.Sep 24 2018, 1:38 PM
araujo accepted this revision.Sep 26 2018, 12:03 AM

Lgtm

This revision is now accepted and ready to land.Sep 26 2018, 12:03 AM
This revision was automatically updated to reflect the committed changes.